package com.zhyc.module.produce.bodyManage.service;

import java.util.List;
import com.zhyc.module.produce.bodyManage.domain.ScBodyScore;

/**
 * 体况评分Service接口
 * 
 * @author ruoyi
 * @date 2025-07-27
 */
public interface IScBodyScoreService 
{
    /**
     * 查询体况评分
     * 
     * @param id 体况评分主键
     * @return 体况评分
     */
    public ScBodyScore selectScBodyScoreById(Long id);

    /**
     * 查询体况评分列表
     * 
     * @param scBodyScore 体况评分
     * @return 体况评分集合
     */
    public List<ScBodyScore> selectScBodyScoreList(ScBodyScore scBodyScore);

    /**
     * 新增体况评分
     * 
     * @param scBodyScore 体况评分
     * @return 结果
     */
    public int insertScBodyScore(ScBodyScore scBodyScore);

    /**
     * 修改体况评分
     * 
     * @param scBodyScore 体况评分
     * @return 结果
     */
    public int updateScBodyScore(ScBodyScore scBodyScore);

    /**
     * 批量删除体况评分
     * 
     * @param ids 需要删除的体况评分主键集合
     * @return 结果
     */
    public int deleteScBodyScoreByIds(Long[] ids);

    /**
     * 删除体况评分信息
     * 
     * @param id 体况评分主键
     * @return 结果
     */
    public int deleteScBodyScoreById(Long id);

    List<String> searchEarNumbers(String query);
}
